## org.gnu.atk
Class Registry

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.atk.Registry

public class Registry
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Registry()`
`Registry(Handle handle)`

Method Summary
`protected static Handle` `atk_get_default_registry()`
`protected static int` `atk_registry_get_factory_type(Handle registry, int type)`
`protected static Handle` `atk_registry_get_factory(Handle registry, int type)`
`protected static int` `atk_registry_get_type()`
`protected static void` `atk_registry_set_factory_type(Handle registry, int type, int factoryType)`
`ObjectFactory` `getFactory(Type type)`
`Type` `getFactoryType(Type type)`
`void` `setFactoryType(Type type, Type factoryType)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Registry

    public Registry()

### Registry

    public Registry(Handle handle)

Method Detail

### setFactoryType

    public void setFactoryType(Type type,
                               Type factoryType)

### getFactoryType

    public Type getFactoryType(Type type)

### getFactory

    public ObjectFactory getFactory(Type type)

### atk_registry_get_type

    protected static final int atk_registry_get_type()

### atk_registry_set_factory_type

    protected static final void atk_registry_set_factory_type(Handle registry,
                                                              int type,
                                                              int factoryType)

### atk_registry_get_factory_type

    protected static final int atk_registry_get_factory_type(Handle registry,
                                                             int type)

### atk_registry_get_factory

    protected static final Handle atk_registry_get_factory(Handle registry,
                                                           int type)

### atk_get_default_registry

    protected static final Handle atk_get_default_registry()